### Method

# Soup WebsocketConnection set_keepalive_interval

#### Declaration [src]

    void
    soup_websocket_connection_set_keepalive_interval (
      SoupWebsocketConnection* self,
      guint interval
    )

#### Description [src]

Sets the interval in seconds on when to send a ping message which will serve as a keepalive message.

If set to 0 the keepalive message is disabled.

Sets property | `Soup.WebsocketConnection:keepalive-interval`

#### Parameters

`interval`

  Type: `guint`

  The interval to send a ping message or 0 to disable it.